Package org.drinkless.tdlib

# Class TdApi.UpdateChatLastMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatLastMessage

Enclosing class:
  TdApi

public static class TdApi.UpdateChatLastMessage extends TdApi.Update
The last message of a chat was changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Message`
  `lastMessage`
  The new last message in the chat; may be null if the last message became unknown.
  `TdApi.ChatPosition[]`
  `positions`
  The new chat positions in the chat lists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatLastMessage()`
  The last message of a chat was changed.
  `UpdateChatLastMessage(long chatId, TdApi.Message lastMessage, TdApi.ChatPosition[] positions)`
  The last message of a chat was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### lastMessage

    @Nullable public TdApi.Message lastMessage
    The new last message in the chat; may be null if the last message became unknown. While the last message is unknown, new messages can be added to the chat without corresponding updateNewMessage update.

  - ### positions

    public TdApi.ChatPosition[] positions
    The new chat positions in the chat lists.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatLastMessage

    public UpdateChatLastMessage()
    The last message of a chat was changed.

  - ### UpdateChatLastMessage

    public UpdateChatLastMessage(long chatId, TdApi.Message lastMessage, TdApi.ChatPosition[] positions)
    The last message of a chat was changed.
    Parameters:
      `chatId` - Chat identifier.
      `lastMessage` - The new last message in the chat; may be null if the last message became unknown. While the last message is unknown, new messages can be added to the chat without corresponding updateNewMessage update.
      `positions` - The new chat positions in the chat lists.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR